summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2010-04-24 12:34:30 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2010-04-24 12:34:30 +0200
commit8972fcaef8c50cdda70ea202c39422d96de2697b (patch)
treecfb30b003abcf4eaffe504a9bd139fd6a00f4bd2
parentcd715ef2d293fe6f4356c4507cc6c60cba648721 (diff)
downloadptxdist-8972fcaef8c50cdda70ea202c39422d96de2697b.tar.gz
ptxdist-8972fcaef8c50cdda70ea202c39422d96de2697b.tar.xz
[install] only copy target *-config to ${PTXDIST_SYSROOT_CROSS}/bin
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
-rw-r--r--scripts/lib/ptxd_make_world_install.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/lib/ptxd_make_world_install.sh b/scripts/lib/ptxd_make_world_install.sh
index 236edca7b..1d3d9119a 100644
--- a/scripts/lib/ptxd_make_world_install.sh
+++ b/scripts/lib/ptxd_make_world_install.sh
@@ -154,11 +154,13 @@ ptxd_make_world_install_post() {
cp -dprf -- "${pkg_pkg_dir}"/* "${pkg_sysroot_dir}" &&
- # copy *-config into sysroot_cross
+ # fix *-config and copy into sysroot_cross for target packages
local config &&
find "${pkg_pkg_dir}" ! -type d -name "${pkg_binconfig_glob}" | while read config; do
sed -i -e "s:@SYSROOT@:${pkg_sysroot_dir}:g" "${config}" &&
- cp -P -- "${config}" "${PTXDIST_SYSROOT_CROSS}/bin" || return
+ if [ "${pkg_type}" = "target" ]; then
+ cp -P -- "${config}" "${PTXDIST_SYSROOT_CROSS}/bin" || return
+ fi
done
}
export -f ptxd_make_world_install_post